; AUTOMATICALLY GENERATED -- DO NOT EDIT
;
[naming]
name = mod_cluster-native
dist = .win6
version = 1.0.10
release = 10.GA_CP04_patch01.win6
group = Applications/System
summary = JBoss mod_cluster for Apache httpd
description =
	JBoss mod_cluster for Apache httpd.
	NOTE: Apache httpd 2.2.8 or newer is needed.
[building]
platform = w2k8-x64
preinstalled = unzip
provides = mod_cluster-native
buildrequires =
	xbuild
	httpd
execute = xbuild_version=2.1.0
	pushd $xbuild_dir
	unzip -d dist xbuild-$xbuild_version.zip
	popd
	$xbuild_dir/dist/xbuild-$xbuild_version/xbuild --verbose --arch=i686 make
	$xbuild_dir/dist/xbuild-$xbuild_version/xbuild --verbose --arch=x86_64 make

[files]
output = $name-$version-$release.src.zip:all:src
	 $name-$version-$release.i686.zip:i686:fre
	 $name-$version-$release.x86_64.zip:x86_64:fre
logs =

;[changelog]
;* Thu Jun 13 2013 Mladen Turk <mturk@redhat.com> -0:1.0.10-10.GA_CP04_patch01 =
;	- Use correct version for HP-UX
;* Thu Jun  6 2013 Mladen Turk <mturk@redhat.com> - 0:1.0.10-3.2.GA_CP02 =
;	- HP-UX rebuild
;* Mon Aug 15 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.10-3.1.GA_CP02 =
;	- Upgrade to 1.0.10.GA_CP02
;	- Remove patch for MODCLUSTER-241 as it's incoporated the tag
;* Wed Aug 03 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.10-2.2.GA_CP01 =
;	- Add patch for MODCLUSTER-241 for a one-off
;* Fri Jun 10 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.10-2.1.GA_CP01 =
;	- Upgrade to 1.0.10.GA_CP01
;* Mon Apr 18 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.10-1.1 =
;	- Upgrade to 1.0.10.GA
;* Mon Mar 21 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.9-1.1 =
;	- Upgrade to 1.0.9.GA
;* Thu Feb 17 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.8-2.1 =
;	- Fix Release tag
;* Wed Feb 16 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.8-1.1 =
;	- Upgrade to 1.0.8.GA
;* Fri Jan 07 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.6-1.1 =
;	- Upgrade to 1.0.6.GA
;* Wed Nov 24 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.5-1.1 =
;	- Upgrade to 1.0.5.GA
;* Wed Jul 28 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.4-1.1 =
;	- Upgrade to 1.0.4.GA
;	- Remove patches that are already incorporated in the tag
;* Thu Jun 24 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-9.1 =
;	- Remove R: httpd 2.2.8 and add a note in description
;* Tue Jun 22 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-8.1 =
;	- Build with no-strict-aliasing as suggested by rpmdiff
;* Wed May 26 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-7.2 =
;	- Split up mod_cluster into mod-cluster and mod_cluster-native
;* Tue May 25 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-6.1 =
;	- Add patch for JBPAPP-3936, 4046, 4307
;	- Adjust depmap
;* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.3-3.3.1 =
;	- rebuilt
;* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.0.3-3.3 =
;	- Rebuild
;* Thu Apr 01 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-3.2 =
;	- Build with jars
;	- Revert the changes to work with httpd instead of httpd22
;* Tue Feb 09 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.0.3-3.1 =
;	- Merge with RHEL-4
;* Mon Jan 25 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-2.1 =
;	- Rebuild
;* Mon Jan 18 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-1 =
;	- Upgrade to 1.0.3
;	- Merge with RHEL-4-EP-5 branch
;* Fri Nov 06 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.0.2-5.1 =
;	- Do not build jars as we don't have all the dependencies on RHEL 5
;* Thu Nov 05 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.0.2-5 =
;	- Fix location of zip
;* Thu Nov 05 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.0.2-4 =
;	- Fix Requires:
;* Thu Nov 05 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.0.2-3 =
;	- Build native .so for httpd and put them in the main package
;	- Rename the package that includes jars and sar for jbossas to -jbossas
;	- Add load-demo.war back in demo/server
;	- Add .so to zip
;	- Add src-zip
;* Mon Nov 02 2009 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-2 =
;	- Add license and release notes to the main package
;	- Remove .dir extension from sar directory name
;	- Add mod_cluster.jar to sar directory
;	- Change sub-package names to jbossweb2 and tomcat6 to clarify versions
;	- Explode contents of load-demo.war inside server subdirectory in the demo sub-package
;* Tue Sep 15 2009 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-1 =
;	- Brew build
;	- Relax version for httpd-devel
